package com.shawn.common.domain;

/**
 * @author Shawn
 */
public class Result<T> {


    private boolean isSuccess;

    private String code;

    private String msg;

    private T data;

    public Result(boolean isSuccess, String code, String msg, T data) {
        this.isSuccess = isSuccess;
        this.code = code;
        this.msg = msg;
        this.data = data;
    }

    public static <T> Result<T> success(T data){
        Result<T> item = new Result<>();
        item.code = "0";
        item.msg = "success";
        item.isSuccess = true;
        item.data = data;
        return item;
    }

    public static <T> Result<T> success(){
        Result<T> item = new Result<>();
        item.code = "0";
        item.msg = "success";
        item.isSuccess = true;
        return item;
    }

    public static <T> Result<T> error(){
        Result<T> item = new Result<>();
        item.code = "500";
        item.msg = "error";
        item.isSuccess = false;
        return item;
    }

    public static <T> Result<T> error(T data){
        Result<T> item = new Result<>();
        item.code = "500";
        item.msg = "error";
        item.isSuccess = false;
        item.data = data;
        return item;
    }

    public static <T> Result<T> error(String msg){
        Result<T> item = new Result<>();
        item.code = "500";
        item.msg = msg;
        item.isSuccess = false;
        return item;
    }

    public Result() {
    }

    public boolean isSuccess() {
        return isSuccess;
    }

    public void setSuccess(boolean success) {
        isSuccess = success;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
