package com.shawn.common.domain;


import java.io.Serializable;
import java.util.Comparator;
import java.util.Objects;

/**
 * @author Eric
 */
public class Teacher implements Serializable {

  private static final long serialVersionUID = 6773827310738243553L;
  private long id;
  private String uid;
  private String phone;
  private String openid;
  private String englishName;
  private String trueNameFirst;
  private String trueNameLast;
  private String idCardNo;
  private String gender;
  private String idCardPhotoPathFront;
  private String idCardPhotoPathBack;
  private String diplomaPhotoPath;
  private String studentCardPhotoPath;
  private String profilePhotoPath;
  private String collegeName;
  private String major;
  private String education;
  private String nativePlace;
  private String verifyStatus;
  private String verifyRefuseReason;
  private double lat;
  private double lng;
  private String picTag;
  private double distance;



  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Teacher teacher = (Teacher) o;
    return id == teacher.id && Double.compare(teacher.lat, lat) == 0 && Double.compare(teacher.lng, lng) == 0 && Objects.equals(uid, teacher.uid) && Objects.equals(phone, teacher.phone) && Objects.equals(openid, teacher.openid) && Objects.equals(englishName, teacher.englishName) && Objects.equals(trueNameFirst, teacher.trueNameFirst) && Objects.equals(trueNameLast, teacher.trueNameLast) && Objects.equals(idCardNo, teacher.idCardNo) && Objects.equals(gender, teacher.gender) && Objects.equals(idCardPhotoPathFront, teacher.idCardPhotoPathFront) && Objects.equals(idCardPhotoPathBack, teacher.idCardPhotoPathBack) && Objects.equals(diplomaPhotoPath, teacher.diplomaPhotoPath) && Objects.equals(studentCardPhotoPath, teacher.studentCardPhotoPath) && Objects.equals(profilePhotoPath, teacher.profilePhotoPath) && Objects.equals(collegeName, teacher.collegeName) && Objects.equals(major, teacher.major) && Objects.equals(education, teacher.education) && Objects.equals(nativePlace, teacher.nativePlace) && Objects.equals(verifyStatus, teacher.verifyStatus) && Objects.equals(verifyRefuseReason, teacher.verifyRefuseReason) && Objects.equals(picTag, teacher.picTag) && Objects.equals(distance, teacher.distance);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, uid, phone, openid, englishName, trueNameFirst, trueNameLast, idCardNo, gender, idCardPhotoPathFront, idCardPhotoPathBack, diplomaPhotoPath, studentCardPhotoPath, profilePhotoPath, collegeName, major, education, nativePlace, verifyStatus, verifyRefuseReason, lat, lng, picTag, distance);
  }

  public String getOpenid() {
    return openid;
  }

  public void setOpenid(String openid) {
    this.openid = openid;
  }

  public double getDistance() {
    return distance;
  }

  public void setDistance(double distance) {
    this.distance = distance;
  }

  public long getId() {
    return id;
  }

  public void setId(long id) {
    this.id = id;
  }


  public String getUid() {
    return uid;
  }

  public void setUid(String uid) {
    this.uid = uid;
  }


  public String getPhone() {
    return phone;
  }

  public void setPhone(String phone) {
    this.phone = phone;
  }


  public String getEnglishName() {
    return englishName;
  }

  public void setEnglishName(String englishName) {
    this.englishName = englishName;
  }


  public String getTrueNameFirst() {
    return trueNameFirst;
  }

  public void setTrueNameFirst(String trueNameFirst) {
    this.trueNameFirst = trueNameFirst;
  }


  public String getTrueNameLast() {
    return trueNameLast;
  }

  public void setTrueNameLast(String trueNameLast) {
    this.trueNameLast = trueNameLast;
  }


  public String getIdCardNo() {
    return idCardNo;
  }

  public void setIdCardNo(String idCardNo) {
    this.idCardNo = idCardNo;
  }


  public String getGender() {
    return gender;
  }

  public void setGender(String gender) {
    this.gender = gender;
  }


  public String getIdCardPhotoPathFront() {
    return idCardPhotoPathFront;
  }

  public void setIdCardPhotoPathFront(String idCardPhotoPathFront) {
    this.idCardPhotoPathFront = idCardPhotoPathFront;
  }


  public String getIdCardPhotoPathBack() {
    return idCardPhotoPathBack;
  }

  public void setIdCardPhotoPathBack(String idCardPhotoPathBack) {
    this.idCardPhotoPathBack = idCardPhotoPathBack;
  }


  public String getDiplomaPhotoPath() {
    return diplomaPhotoPath;
  }

  public void setDiplomaPhotoPath(String diplomaPhotoPath) {
    this.diplomaPhotoPath = diplomaPhotoPath;
  }


  public String getStudentCardPhotoPath() {
    return studentCardPhotoPath;
  }

  public void setStudentCardPhotoPath(String studentCardPhotoPath) {
    this.studentCardPhotoPath = studentCardPhotoPath;
  }


  public String getProfilePhotoPath() {
    return profilePhotoPath;
  }

  public void setProfilePhotoPath(String profilePhotoPath) {
    this.profilePhotoPath = profilePhotoPath;
  }


  public String getCollegeName() {
    return collegeName;
  }

  public void setCollegeName(String collegeName) {
    this.collegeName = collegeName;
  }


  public String getMajor() {
    return major;
  }

  public void setMajor(String major) {
    this.major = major;
  }


  public String getEducation() {
    return education;
  }

  public void setEducation(String education) {
    this.education = education;
  }


  public String getNativePlace() {
    return nativePlace;
  }

  public void setNativePlace(String nativePlace) {
    this.nativePlace = nativePlace;
  }


  public String getVerifyStatus() {
    return verifyStatus;
  }

  public void setVerifyStatus(String verifyStatus) {
    this.verifyStatus = verifyStatus;
  }


  public String getVerifyRefuseReason() {
    return verifyRefuseReason;
  }

  public void setVerifyRefuseReason(String verifyRefuseReason) {
    this.verifyRefuseReason = verifyRefuseReason;
  }


  public double getLat() {
    return lat;
  }

  public void setLat(double lat) {
    this.lat = lat;
  }


  public double getLng() {
    return lng;
  }

  public void setLng(double lng) {
    this.lng = lng;
  }


  public String getPicTag() {
    return picTag;
  }

  public void setPicTag(String picTag) {
    this.picTag = picTag;
  }

  public Teacher() {
  }

  @Override
  public String toString() {
    return "Teacher{" +
            "id=" + id +
            ", uid='" + uid + '\'' +
            ", phone='" + phone + '\'' +
            ", openid='" + openid + '\'' +
            ", englishName='" + englishName + '\'' +
            ", trueNameFirst='" + trueNameFirst + '\'' +
            ", trueNameLast='" + trueNameLast + '\'' +
            ", idCardNo='" + idCardNo + '\'' +
            ", gender='" + gender + '\'' +
            ", idCardPhotoPathFront='" + idCardPhotoPathFront + '\'' +
            ", idCardPhotoPathBack='" + idCardPhotoPathBack + '\'' +
            ", diplomaPhotoPath='" + diplomaPhotoPath + '\'' +
            ", studentCardPhotoPath='" + studentCardPhotoPath + '\'' +
            ", profilePhotoPath='" + profilePhotoPath + '\'' +
            ", collegeName='" + collegeName + '\'' +
            ", major='" + major + '\'' +
            ", education='" + education + '\'' +
            ", nativePlace='" + nativePlace + '\'' +
            ", verifyStatus='" + verifyStatus + '\'' +
            ", verifyRefuseReason='" + verifyRefuseReason + '\'' +
            ", lat=" + lat +
            ", lng=" + lng +
            ", picTag='" + picTag + '\'' +
            ", distance=" + distance +
            '}';
  }
}
