package com.shawn.common.utils.ip;

import com.alibaba.fastjson.JSONObject;

import com.shawn.common.utils.StringUtils;
import com.shawn.common.utils.http.HttpUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * 获取地址类
 *
 * @author ruoyi
 */
public class AddressUtils
{
    private static final Logger log = LoggerFactory.getLogger(AddressUtils.class);

    // IP地址查询
//    public static final String IP_URL = "http://whois.pconline.com.cn/ipJson.jsp";
    public static final String IP_URL = "https://apis.map.qq.com/ws/location/v1/ip";

    public static final String TENCENT_KEY = "J5JBZ-3H5K3-ZHU3J-3XC2W-2NYPK-75FG4";

    // 未知地址
    public static final String UNKNOWN = "XX XX";

    public static String getRealAddressByIP(String ip)
    {
        // 内网不查询
        if (IpUtils.internalIp(ip))
        {
            return "内网IP";
        }
        if (1==1)
        {
            try
            {
                String rspStr = HttpUtils.sendGet(IP_URL, "ip=" + ip + "&key=" + TENCENT_KEY, "UTF-8");
                if (StringUtils.isEmpty(rspStr))
                {
                    log.error("获取地理位置异常 {}", ip);
                    return UNKNOWN;
                }
                JSONObject obj = JSONObject.parseObject(rspStr);
                String region = obj.getJSONObject("result").getJSONObject("ad_info").getString("province");
                String city = obj.getJSONObject("result").getJSONObject("ad_info").getString("city");
                return String.format("%s %s", region, city);
            }
            catch (Exception e)
            {
                log.error("获取地理位置异常 {}", ip);
            }
        }
        return UNKNOWN;
    }
}
