package com.Shawn.exceptionHandler;

import com.shawn.common.Exception.LoginCodeInvalidException;
import com.shawn.common.domain.Result;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import javax.servlet.http.HttpServletRequest;

/**
 * @author Shawn
 */
@RestControllerAdvice
public class GlobalExceptionHandler {

    @ExceptionHandler(ArithmeticException.class)
    public String arithmeticExceptionHandler(ArithmeticException e, HttpServletRequest request){
        String requestURI = request.getRequestURI();
        return "调用"+requestURI+"出现计算错误";
    }

    @ExceptionHandler(LoginCodeInvalidException.class)
    public Result LoginCodeInvalidHandler(LoginCodeInvalidException e, HttpServletRequest request){
        String requestURI = request.getRequestURI();
        return Result.error("调用"+requestURI+"出错," + e.getErrmsg());
    }
}
