package com.shawn.controller;

import com.alibaba.fastjson.JSONObject;
import com.shawn.common.Constants.RedisConstants;
import com.shawn.common.Exception.TokenIsNullException;
import com.shawn.common.domain.Result;
import com.shawn.feign.UserFeign;
import com.shawn.service.IndexPageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Shawn
 */
@RestController
@RequestMapping("/page")
public class IndexPageController {

    @Autowired
    IndexPageService pageService;

    @Autowired
    StringRedisTemplate redisTemplate;

    @GetMapping("/bannerAndLBT")
    public Result getBannerAndLBT(String type){
        return pageService.getBannerAndLBT(type);
    }

    @RequestMapping("/getNearTeachers")
    public Result getNearTeachers(String lat,String lng,String ip,String token) throws Exception {
        return pageService.getNearTeachers(ip,lat,lng,token);
    }


    @RequestMapping("/refreshNearTeachers")
    public Result refreshNearTeachers(String lat,String lng,String ip,String token) throws Exception {
        return pageService.refreshNearTeachers(ip,lat,lng,token);
    }
}
