package com.shawn.user.ExceptionHandler;

import com.shawn.common.Exception.IPOrLocationIsInvalidException;
import com.shawn.common.Exception.LoginCodeInvalidException;
import com.shawn.common.Exception.TokenIsNullException;
import com.shawn.common.domain.Result;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import javax.servlet.http.HttpServletRequest;

/**
 * @author Shawn
 */
@RestControllerAdvice
public class UserExceptionHandler {

    @ExceptionHandler(TokenIsNullException.class)
    public Result loginCodeInvalidHandler(TokenIsNullException e, HttpServletRequest request){
        String requestURI = request.getRequestURI();
        return Result.error("调用"+requestURI+"出错," + e.getErrmsg());
    }

    @ExceptionHandler(IPOrLocationIsInvalidException.class)
    public Result IPOrLocationIsInvalidExceptionHandler(IPOrLocationIsInvalidException e, HttpServletRequest request){
        String requestURI = request.getRequestURI();
        return Result.error("调用"+requestURI+"出错," + e.getErrmsg());
    }
}
