package com.shawn.user.config;

import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.DirectExchange;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author Shawn
 */
@Configuration
public class RabbitMQConfig {
    @Bean
    public Queue UserInfoAddQueue(){
        return new Queue("UserInfoAddQueue",true);
    }

    @Bean
    public Queue UserInfoModifyQueue(){
        return new Queue("UserInfoModifyQueue",true);
    }

    @Bean
    public Queue AddTeacherListQueue(){
        return new Queue("AddTeacherListQueue",true);
    }

    @Bean
    DirectExchange UserInfoExchange(){
        return new DirectExchange("UserInfoExchange",true,false);
    }

    @Bean
    Binding bindingUserAddExchange(){
        return BindingBuilder.bind(UserInfoAddQueue()).to(UserInfoExchange()).with("UserAdd");
    }
    @Bean
    Binding bindingUserModifyExchange(){
        return BindingBuilder.bind(UserInfoModifyQueue()).to(UserInfoExchange()).with("UserModify");
    }




}
