package com.shawn.user.controller;

import com.shawn.common.Exception.TokenIsNullException;
import com.shawn.common.domain.Result;
import com.shawn.common.domain.Teacher;
import com.shawn.common.domain.User;
import com.shawn.common.utils.DateUtils;
import com.shawn.user.service.userService;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * @author Shawn
 */
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    userService userService;

    @Autowired
    RabbitTemplate rabbitTemplate;

    @RequestMapping ("/detail")
//    @RequestParam(required = false) String openid,
    public Result getUserDetailByOpenId(@RequestParam String token) throws TokenIsNullException {
        return userService.getUserDetailByToken(token);
    }

    @RequestMapping("/loginAndModifyUserInfo")
    public Result firstLoginSetUserInfo(String token,String openid,String alias,String avatarUrl){
        return userService.loginAndModifyUserInfo(token,openid,alias,avatarUrl);
    }

    @RequestMapping("/getNearTeacherList")
    public Result getNearTeacherList(String ip, String lat, String lng) throws Exception {
        Set<Integer> a = new HashSet<>();
        return userService.getNearTeacherList(ip,lat,lng);

    }


}
